Сайт | Скачать | Видео | Wiki

Автор Тема: mimi linux - для просмотра интернета и ютуба на ретро-компьютерах  (Прочитано 4133 раз)

0 Пользователей и 2 Гостей просматривают эту тему.

Оффлайн RoDoN

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 5750
  • Репутация: +126/-0
    • RoDoN
Ответы на вопросы про сборку :
Что заначит "mimi" ?

Acer Aspire One AO751h (Atom Z520, Intel GMA500)
Acer Extensa 5620Z (T7500, Intel 965GM)
Acer Aspire E1-571G (i3-3120M, GF710M)
PuppyRus-JWM-13.12, PRA, Upup Precise, Tahr Puppy, Runtu 16.04 XFCE.

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 738
  • Репутация: +29/-1
  • /dev/hands over /dev/ass
Наверное что-то вроде "киса куку"
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26656
  • Репутация: +181/-0
    • PuppyRus-A
Сборка  выполняет чётко поставленную задачу - просмотр ютуба в хорошем качестве 720p и  высоком качестве 1080p на ретро-компьютерах, таких как:
одноядерный 32-х битный процессор 1.6 ГГц с 512 Мб памяти
PRA03 и DDR для этого хуже подходят? Или каких -то прог для них нет?

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 140
  • Репутация: +3/-0

Сборка  выполняет чётко поставленную задачу - просмотр ютуба в хорошем качестве 720p и  высоком качестве 1080p на ретро-компьютерах, таких как:
одноядерный 32-х битный процессор 1.6 ГГц с 512 Мб памяти
PRA03 и DDR для этого хуже подходят? Или каких -то прог для них нет?
И то и другое.
1808ретро ОЧЕНЬ медленно работает, а при запуске старого палемун27 занимает 385 Мб при заходе на ютуб, а если запустить любое видео останавливается, и повисает
Qmplay2  в пра 1608 и 1808ретро перестал работать, а пару месяцев назад работал, сейчас окно показывает, и в ютубе ищет, а воспроизвести не может, даже если ему в папку .qmplay добавить свежий youtube-dl. Хотя  mpv с этим  youtube-dl показывает.
С 22-го июля гугл запретил пользователям смотреть ютуб  за пределами сайта ютуб, согласно новым правилам предоставления услуг, разрабы всех этих плейеров не успевают переделывать их под новые форматы, которые на ютубе появляются почти каждую неделю. youtube-dl  старается.
Новые  DDR и  pra09 надо будет пробовать, но в пра09  QMPlay 17.10-qt4 не запускается, а для qt5 - надо ещё и qt5
Если сделаете  QMPlay18.12, SMPlayer 19.5 и  SMTube 19.6  с qt4  -  буду тестировать :)
И ещё в пра03 старые драйвера mesa а новые - 12, 17 не запускаются - база старая, а для апаратного ускорения надо!
vdpau  очень помогает!
В  antiX 19.2 - который на дебиан10 - уже есть mesa 18.3.6  с  vdpau.
Вот если-бы кто смог оттуда вытащить их   в отдельный модуль для  mimi и для  DDR и для  pra09 - было бы супер!

Готов помогать советами и пр.
Пожалуйста, помогите сделать базовый модуль из antix  - это очень интересный дистр, весь софт и драйвера очень свежие , можно будет не только для mimi, а и  для всех наших сборок и дистров использовать разные компоненты.
« Последнее редактирование: 03 Сентябрь 2019, 21:27:27 от ШАМАНЯ »

Оффлайн k0l0p0k

  • Ветеран
  • *****
  • Сообщений: 1333
  • Репутация: +20/-1
Вот если-бы кто смог оттуда вытащить их   в отдельный модуль для  mimi и для  DDR
для ДДР есть mesa 13й версии, почти новая )
1.нетбук  Samsung N145 (оси: Debian+OLS, ddr01)
2.стационары(пеньки,2-8Gb,Radeon RX460,HD7850 ubuntu+openBox+LXPanel, PRA, ddr01)

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 1981
  • Репутация: +67/-0
а воспроизвести не может, даже если ему в папку .qmplay добавить свежий youtube-dl
Добавлять самый свежий youtube-dl надо в /usr/bin/. В /home/live/.qmplay2 ссылка на него.

Так же полезно проверить его версию, важно чтобы была последняя:
Цитата
live@prar-1811 ~ % youtube-dl --version
2019.08.13


Если сделаете  QMPlay18.12, SMPlayer 19.5 и  SMTube 19.6  с qt4  -  буду тестировать
Это вряд ли. Везде переход на qt5, sfs тоже стал добавлять в сборки только 030-qt5-base-.
« Последнее редактирование: 21 Август 2019, 20:27:30 от krasnyh »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 1981
  • Репутация: +67/-0
Cannot mix incompatible qt library (version 0x40807). Qmpplay2 has been aborted (sigabrt)
Похоже конфликт разных версий qt.


Проверил в pra6408-1904, не работает связка qmplay2+youtube-dl. На моей основной системе тоже, но возможно я не умею пользоваться qmplay2, там настроек куча и кодеков разных.
Скрин.
« Последнее редактирование: 21 Август 2019, 22:57:45 от krasnyh »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26656
  • Репутация: +181/-0
    • PuppyRus-A
в пра09  QMPlay 17.10-qt4 не запускается
У меня запускается
Если сделаете  QMPlay18.12, SMPlayer 19.5 и  SMTube 19.6  с qt4  -  буду тестировать
qmplay2-qt4-p-17.10.24-sf02.pfs c ютуба работает не все. Свежее уже qt5
http://forum.puppyrus.org/index.php?topic=16345.msg160722#msg160722
в пра03 старые драйвера mesa а новые - 12, 17 не запускаются - база старая, а для апаратного ускорения надо!
vdpau  очень помогает!
http://forum.puppyrus.org/index.php?topic=22013.msg160724#msg160724
помогите сделать базовый модуль из antix 
вряд ли antix отличается от
https://debiandog.github.io/doglinux/zz06-zbionicdog.html
меса там 18 https://packages.ubuntu.com/bionic/mesa-vdpau-drivers

Оффлайн imp

  • /dev/бубен
  • Ветеран
  • *****
  • Сообщений: 738
  • Репутация: +29/-1
  • /dev/hands over /dev/ass
вряд ли antix отличается от
https://debiandog.github.io/doglinux/zz06-zbionicdog.html
А че, нормально использовать донора в качестве донора.
Компьютер имеет то преимущество перед мозгом, что им пользуются.

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26656
  • Репутация: +181/-0
    • PuppyRus-A
нормально использовать донора в качестве донора.
Почему нет? Главное чтобы все репы были совместимы и был LTS (предпочтительнее - поэтому я и ухватился за https://www.hyperbola.info/)  или возможность заморозки
Добавляем LF, Получаем фругал из любого линукса

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 140
  • Репутация: +3/-0
а воспроизвести не может, даже если ему в папку .qmplay добавить свежий youtube-dl
Добавлять  надо в /usr/bin/. В /home/live/.qmplay2 ссылка на него.

Так же полезно проверить его версию, важно чтобы была последняя:


Если сделаете  QMPlay18.12, SMPlayer 19.5 и  SMTube 19.6  с qt4  -  буду тестировать
Это вряд ли. Везде переход на qt5, sfs тоже стал добавлять в сборки только 030-qt5-base-.
А они спрашивают - зачем нужна mimi :)
Версия youtube-dl самая свежая от 13.08.
QMPlay иногда сам скачивает его в свою папку - если там пусто, а иногда нет.
В пра не работает, хоть ссылка есть в .qmplay2 - хоть сам файл youtube-dl туда скопировать из  /usr/bin.
Проверил в pra6408-1904, не работает связка qmplay2+youtube-dl. На моей основной системе тоже, но возможно я не умею пользоваться qmplay2, там настроек куча и кодеков разных.
Скрин.

Если сделаете  QMPlay18.12, SMPlayer 19.5 и  SMTube 19.6  с qt4  -  буду тестировать
qmplay2-qt4-p-17.10.24-sf02.pfs c ютуба работает не все. Свежее уже qt5

Но в mimi  старый qmplay-17.10-qt4 работает!
Как обьяснить это?
Может - магия? гугл говорит, потому что :
"Патрег - БОХ!"
:)


помогите сделать базовый модуль из antix 
вряд ли antix отличается от
https://debiandog.github.io/doglinux/zz06-zbionicdog.html
меса там 18 https://packages.ubuntu.com/bionic/mesa-vdpau-drivers
очень сильно отличается! Сравнение тут:
http://forum.puppyrus.org/index.php?topic=22016.msg160772#msg160772

Скорость работы  AntiX по сравнению с  mimi - медленнее, конечно, но там же полноценный  debian 10, и без  systemd!
« Последнее редактирование: 25 Август 2019, 08:57:24 от ШАМАНЯ »

Оффлайн krasnyh

  • Ветеран
  • *****
  • Сообщений: 1981
  • Репутация: +67/-0
Я когда-то использовал только smplayer для просмотра видео онлайн. Но потом он перестал успевать за переделками кода ютубом и я перешел на youtube-dl+mpv.

Smplayer и QMplay2 умеют работать в связке с youtube-dl, так что в принципе нет необходимости гнаться за последними версиями, которые уже на qt5. Главное чтобы сам youtube-dl был свежайшим.


Если сделаете  QMPlay18.12, SMPlayer 19.5 и  SMTube 19.6  с qt4  -  буду тестировать
Думал, что все новые smplayer выпускают только на qt5, а тут запустил retro, там:
smplayer-qt4-p-19.5.0-sf01.pfs      22-Aug-2019 14:58      4M
smtube-qt4-p-19.6.0-sf03.pfs        22-Aug-2019 15:49     11M


Похоже sfs откликнулся на просьбу. :)
https://aur.archlinux.org/packages/smplayer-qt4/
https://aur.archlinux.org/packages/smtube-qt4/

https://www.smplayer.info/ru/downloads
Цитата
Пакеты для Ubuntu
(Пакеты собраны с Qt 4)

*
Пакеты для других дистрибутивов Linux
(Пакеты собраны с Qt 5)
« Последнее редактирование: 24 Август 2019, 18:26:43 от krasnyh »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26656
  • Репутация: +181/-0
    • PuppyRus-A
Пакеты для Ubuntu
(Пакеты собраны с Qt 4)
Я сам компилил

Оффлайн ШАМАНЯ

  • Постоялец
  • ***
  • Сообщений: 140
  • Репутация: +3/-0
smplayer 19.5-qt4  работает и в mimi и  pra09, но только с  mpv+youtube-dl.
с mplayer ютуб не показывает пишет ошибка и там и там.
smtube 19.6-qt4 в mimi не запустился - не хватает библиотеки libQtXML*,
хотя старый smptube 18.3 работает.
в пра09 он работает.
а что , qmplay2 18.12.26 уже нельзя собрать с qt4 ?

В mimi комплект wine 4.6.1  wine-mono wine-gecko работает!
разницы с wine 2.19 не заметно :)
« Последнее редактирование: 26 Август 2019, 20:49:14 от ШАМАНЯ »

Онлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 26656
  • Репутация: +181/-0
    • PuppyRus-A
qmplay2 18.12.26 уже нельзя собрать с qt4 ?
17.10.24 последний
smplayer 19.5-qt4  работает и в mimi и  pra09, но только с  mpv+youtube-dl.
с mplayer ютуб не показывает пишет ошибка и там и там.
так и должно быть